Bug 240283 - security/openssl111: Some options are ignored
Summary: security/openssl111: Some options are ignored
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bernard Spil
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-02 16:38 UTC by Adam Weinberger
Modified: 2019-09-11 20:07 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (brnrd)


Attachments
fix options and man7 (3.39 KB, patch)
2019-09-02 16:38 UTC, Adam Weinberger
brnrd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Weinberger freebsd_committer 2019-09-02 16:38:48 UTC
Created attachment 207108 [details]
fix options and man7

The RC2 and RC4 options do nothing—it looks like they were missed in the no-${_option} list. The attached patch fixes that.

Also, it adds the man7 pages to the MAN3 option. That option is about not installing API docs, not specifically man3. There’s no scenario under which someone would want man7 docs without man3. So, the patch also conditionalizes man7 with MAN3.
Comment 1 Bernard Spil freebsd_committer 2019-09-04 19:44:39 UTC
Comment on attachment 207108 [details]
fix options and man7

Hi Adam,

Thanks for the patch!

I'll roll this into the 1.1.1d release next week. Let me know if you'd like this expedited.

Cheers, Bernard.
Comment 2 Adam Weinberger freebsd_committer 2019-09-05 12:19:56 UTC
(In reply to Bernard Spil from comment #1)
Thanks Bernard. No urgency here, this is low-priority stuff.
Comment 3 commit-hook freebsd_committer 2019-09-11 09:38:48 UTC
A commit references this bug:

Author: brnrd
Date: Wed Sep 11 09:38:32 UTC 2019
New revision: 511808
URL: https://svnweb.freebsd.org/changeset/ports/511808

Log:
  security/openssl111: Security update to 1.1.1d

   - Fix RC2 and RC4 options [1]
   - Add man7 to API documentation knob MAN3

  PR:		240283 [1]
  Submitted by:	adamw
  MFH:		2019Q3
  Security:	9e0c6f7a-d46d-11e9-a1c7-b499baebfeaf

Changes:
  head/security/openssl111/Makefile
  head/security/openssl111/distinfo
  head/security/openssl111/files/extra-patch-util_process__docs.pl
  head/security/openssl111/pkg-plist
Comment 4 commit-hook freebsd_committer 2019-09-11 20:06:47 UTC
A commit references this bug:

Author: brnrd
Date: Wed Sep 11 20:06:20 UTC 2019
New revision: 511842
URL: https://svnweb.freebsd.org/changeset/ports/511842

Log:
  MFH: r511808

  security/openssl111: Security update to 1.1.1d

   - Fix RC2 and RC4 options [1]
   - Add man7 to API documentation knob MAN3 [1]

  PR:		240283 [1]
  Submitted by:	adamw
  Security:	9e0c6f7a-d46d-11e9-a1c7-b499baebfeaf

  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2019Q3/
  branches/2019Q3/security/openssl111/Makefile
  branches/2019Q3/security/openssl111/distinfo
  branches/2019Q3/security/openssl111/files/extra-patch-util_process__docs.pl
  branches/2019Q3/security/openssl111/pkg-plist
Comment 5 Bernard Spil freebsd_committer 2019-09-11 20:07:41 UTC
Small error in commit msg... Both changes by adamw. Sorry

Just MFH as well.